/**
  Open a file,
  jump 12 bytes from the start,
  and read up to the 'u' character from there.
  
  Orion Sky Lawlor, olawlor@acm.org, 2005/3/28 (public domain)
*/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main() {
	FILE *f=fopen("test.dat","r");
	if (f==NULL) {printf("Couldn't open file\n");exit(1);}
	fseek(f,12,SEEK_SET);
	char buf[100];
	
	fscanf(f,"%99[^u]",buf); // Read 'u'-delimited string from f
	int len=strlen(buf);
	
	fwrite(buf,1,len,stdout); // write to stdout
	fclose(f);
	return 0;
}

